#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys

from PyQt4.QtCore import *
from PyQt4.QtGui import *

from PyKDE4.kio import KIO
from PyKDE4.kdecore import *
from PyKDE4.kdeui import *

def job_test():

    job = KIO.storedGet(KUrl("http://www.kde.org"))
    job.result.connect(slot_result)

def slot_result(job):

    print job.url()

def main():

    app_name = "job_example"
    program_name = ki18n("KIO test program")
    about_data = KAboutData(QByteArray(app_name), "",
                            program_name, QByteArray("0.1"))
    KCmdLineArgs.init(sys.argv, about_data)
    app = KApplication()

    job_test()
    QTimer.singleShot(3000, app.quit)
    app.exec_()

if __name__ == '__main__':
    main()

